package com.caimei365.user.utils.message;

import lombok.AllArgsConstructor;
import lombok.ToString;

/**
 * @author Administrator
 */

@ToString
@AllArgsConstructor
public enum MessageType {
    /**
     * 1.微信模板消息
     * 2.站内消息
     * 3.邮件
     * 4.短信
     */
    WECHAT_TEMPLATE_MESSAGE(1, "微信模板消息"),
    WEB_INSIDE_MESSAGE(2, "站内消息"),
    EMAILS(3, "邮件"),
    SYS_MESSAGE(4, "短信");
    private Integer code;
    private String description;

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }
}
