package com.caimei365.user.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/6/1
 */
@ApiModel("运营人员邀请码授权登录--组织")
@Data
public class AuthInvitationOrganizeDto implements Serializable {
    /**
     * 邀请码
     */
    @NotNull
    @ApiModelProperty("邀请码")
    private String invitationCode;
    /**
     * 微信昵称
     */
    @ApiModelProperty("微信昵称")
    private String nickName;
    /**
     * 微信头像(headimgurl)
     */
    @ApiModelProperty("微信头像(headimgurl)")
    private String avatarUrl;
    /**
     * 微信unionId
     */
    @ApiModelProperty("微信unionId")
    private String unionId;
    /**
     * 组织Id
     */
    @ApiModelProperty("组织Id")
    private Integer organizeId;
}
