package com.caimei365.user.model.vo;

import java.util.ArrayList;
import java.util.Date;

import com.caimei365.user.model.po.CmDistribution;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;

import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.Alias;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;
import java.util.List;

/**
 * distribution对象 cm_distribution
 *
 * @author Kaick
 * @date 2023-09-25
 */
@Data
@Alias("CmDistributionVO")
public class CmDistributionVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private String id;

    /**
     * 用户id
     */
    private Integer userId;

    /**
     * 名称
     */
    private String name;

    /**
     * 联系人
     */
    private String linkMan;

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 分账号
     */
    private String splitCode;

    /**
     * 状态：90上线，91下线
     */
    private Integer status;

    /**
     * 分销二维码
     */
    private String qrCode;

    /**
     * 头像
     */
    private String image;

    /**
     * 父级团队Id：0表示团队
     */
    private Integer parentId;

    /**
     * 父级团队Id集合
     */
    private String parentIds;

}
