package com.caimei365.user.service.impl;

import java.util.Date;
import java.util.List;

import com.caimei365.user.mapper.CmBrandLandingMapper;
import com.caimei365.user.model.po.CmBrandLanding;
import com.caimei365.user.service.CmBrandLandingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 供应商落地页资源Service业务层处理
 *
 * @author Kaick
 * @date 2023-05-31
 */
@Service
public class CmBrandLandingServiceImpl implements CmBrandLandingService
{
    @Autowired
    private CmBrandLandingMapper cmBrandLandingMapper;


    /**
     * 查询供应商落地页资源列表
     *
     * @param cmBrandLanding 供应商落地页资源
     * @return 供应商落地页资源
     */
    @Override
    public List<CmBrandLanding> selectCmBrandLandingList(CmBrandLanding cmBrandLanding)
    {
        return cmBrandLandingMapper.selectCmBrandLandingList(cmBrandLanding);
    }

}
